# MSP::CCS::NZMG Class Reference

`#include <NZMG.h>`

Inheritance diagram for MSP::CCS::NZMG:

List of all members.

## Public Member Functions

| NZMG (char *ellipsoidCode)
| NZMG (const NZMG &n)
| ~NZMG (void)
NZMG & | operator= (const NZMG &n)
EllipsoidParameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 94 of file NZMG.h.

## Constructor & Destructor Documentation

NZMG::NZMG | ( | char * | ellipsoidCode | ) |

Definition at line 201 of file NZMG.cpp.

NZMG::NZMG | ( | const NZMG & | n | ) |

Definition at line 228 of file NZMG.cpp.

NZMG::~NZMG | ( | void |  | ) |

Definition at line 235 of file NZMG.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * NZMG::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 265 of file NZMG.cpp.

MSP::CCS::GeodeticCoordinates * NZMG::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 333 of file NZMG.cpp.

EllipsoidParameters * NZMG::getParameters | ( |  | ) | const

Definition at line 252 of file NZMG.cpp.

NZMG & NZMG::operator= | ( | const NZMG & | n | ) |

Definition at line 240 of file NZMG.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/nzmg/NZMG.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/nzmg/NZMG.cpp